Bug 259476 - www/yarn: Add a NODE16 option
Summary: www/yarn: Add a NODE16 option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks: 259475 259477
  Show dependency treegraph
 
Reported: 2021-10-27 08:40 UTC by Jose Luis Duran
Modified: 2021-10-29 06:38 UTC (History)
1 user (show)

See Also:
pizzamig: maintainer-feedback+


Attachments
Add a NODE16 option (556 bytes, patch)
2021-10-27 08:40 UTC, Jose Luis Duran
no flags Details | Diff
Add a -node16 option (1.10 KB, patch)
2021-10-27 08:43 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2021-10-27 08:40:14 UTC
Created attachment 229061 [details]
Add a NODE16 option

Node 16 has entered LTS. Account for a new -node16 slave port.
Comment 1 Jose Luis Duran 2021-10-27 08:43:05 UTC
Created attachment 229062 [details]
Add a -node16 option

Previous patch was an error.
Comment 2 Matthias Fechner freebsd_committer 2021-10-28 04:24:34 UTC
I have the problem that yarn currently uses www/node (version 17) which does not allow to finish the upgrade process for www/gitlab-ce.

Would be really nice if you can quickly commit this, that the gitlab-ce port is fixed and users do not get into a broken upgrade situation for gitlab-ce.
Comment 3 Jose Luis Duran 2021-10-28 05:08:02 UTC
(In reply to Matthias Fechner from comment #2)
> I have the problem that yarn currently uses www/node (version 17) which does not allow to finish the upgrade process for www/gitlab-ce.

How about instead of using www/yarn + www/node, try using www/yarn-node14 (it should remove www/yarn and www/node, and install www/yarn-node14 and www/node14) in the meantime?
Comment 4 Matthias Fechner freebsd_committer 2021-10-28 06:58:47 UTC
(In reply to Jose Luis Duran from comment #3)
I tried, but it seems that another dependency is pulling in www/node which again is causing then a conflict .

Maybe the best it to have a global node default version and use this to pull dependencies to node into ports that are depending on it.

I will look this evening into it again, if I have more time.
Comment 5 Matthias Fechner freebsd_committer 2021-10-28 14:54:37 UTC
Dear Luca,

if the following commit is ok for you, I would commit this:
https://gitlab.fechner.net/mfechner/Gitlab/-/commit/759df07d39acb61291360e4580e1aca00d67a91f

I tested it together with some more additional changes and that fixes the upgrade path for gitlab.

I do not want to downgrade to node 14 as we used node 16 before and this is fully tested, so going this path is prefered.

As a next step we should add node support as default version maybe to the ports framework.
Comment 6 Luca Pizzamiglio freebsd_committer 2021-10-28 15:14:48 UTC
(In reply to Matthias Fechner from comment #5)

Approved!
Comment 7 Jose Luis Duran 2021-10-28 21:10:43 UTC
(In reply to Matthias Fechner from comment #5)
This patch is missing bug #259477.
Comment 8 commit-hook freebsd_committer 2021-10-29 06:34:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d2948b522a724f188d430654d61a0fe38652090b

commit d2948b522a724f188d430654d61a0fe38652090b
Author:     Jose Luis Duran <jlduran@gmail.com>
AuthorDate: 2021-10-28 04:11:15 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-10-29 06:32:52 +0000

    www/yarn: make yarn-node16 available

    Currently many node packages do not support node 17 which is
    used for www/node.
    This for example fixes the usage of www/gitlab-ce which cannot
    run the upgrade step if node 17 is used.

    PR:             259475
    PR:             259476
    PR:             259477
    Approved by:    pizzamig (maintainer)

 www/Makefile                   |  1 +
 www/yarn-node14/Makefile       |  2 +-
 www/yarn-node16/Makefile (new) | 12 ++++++++++++
 www/yarn/Makefile              |  7 +++++--
 4 files changed, 19 insertions(+), 3 deletions(-)
Comment 9 Matthias Fechner freebsd_committer 2021-10-29 06:38:19 UTC
Commited, thanks!